Status: Closed
Priority: Normal
Assignee:
Category: Reporting
Target version:
Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases:
Bugzilla link: 1792304 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7380
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1792304

Description of problem:

When generating a report template that doesn't contain report_render string in template, the Output Format field is greyed out but
contains the value of "CSV". This is misleading because the resulting file is a text file, according both to MIME type and to its
extension.

Version-Release number of selected component (if applicable):
6.7, feature unavailable in previous versions

How reproducible:
Deterministic

Steps to Reproduce:
1. Create a report template that doesn't contain report_render string in template
2. Monitor -> Report Templates -> Generate

Actual results:
Output Format field greyed out, containing "CSV"

Expected results:
Something that is not misleading, e.g. empty value

Associated revisions

Revision dd5e6cec - 02/19/2020 02:35 PM - Leos Stejskal

Fixes #28845 - When generating custom report, leave output format field empty

Revision ffff26a2 - 02/19/2020 02:35 PM - Leos Stejskal
Fixes #28845 - Update after review

History

#1 - 01/23/2020 12:47 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/7380 added

#2 - 02/19/2020 02:35 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 02/19/2020 03:01 PM - Leos Stejskal
- Status changed from Ready For Testing to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=1792304

Applied in changeset dd5e6cec4a3c2fd2ab930af63b725a5eb5579660.

#4 - 03/05/2020 12:20 PM - Tomer Brisker
- Category changed from Statistics to Reporting
